Bug 1104579 - Review Request: ghc-ieee754 - Utilities for dealing with IEEE floating point numbers
Summary: Review Request: ghc-ieee754 - Utilities for dealing with IEEE floating point ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-04 09:01 UTC by Jens Petersen
Modified: 2018-05-24 07:16 UTC (History)
3 users (show)

Fixed In Version: ghc-ieee754-0.8.0-10.fc28
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-24 07:16:26 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2014-06-04 09:01:49 UTC
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-ieee754.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-ieee754-0.7.3-1.fc20.src.rpm

Description:
Utilities for dealing with IEEE floating point numbers, ported from the Tango
math library; approximate and exact equality comparisons for general types.

Comment 1 Jens Petersen 2014-06-04 09:01:57 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6923287

Comment 2 Jens Petersen 2014-06-06 05:04:05 UTC
This is needed for hastache which is used by new haskell-platform buildsys.

http://packdeps.haskellers.com/reverse/ieee754

Comment 3 Jens Petersen 2017-11-19 07:38:26 UTC
Currently a subpackage of Agda

Comment 4 Robert-André Mauchin 🐧 2017-11-19 15:36:15 UTC
 - Please package the latest version, version 0.8.0.

 - License must be included with the %license macro, not %doc:

%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%license LICENSE.Tango

 - You could include CHANGELOG in %doc:

%doc CHANGELOG

Comment 6 Robert-André Mauchin 🐧 2017-12-20 15:47:34 UTC
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE.Tango is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated", "AFL (v3.0)". 10
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/ghc-ieee754/review-ghc-
     ieee754/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 235520 bytes in 16 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-ieee754-0.8.0-1.fc28.x86_64.rpm
          ghc-ieee754-devel-0.8.0-1.fc28.x86_64.rpm
          ghc-ieee754-0.8.0-1.fc28.src.rpm
ghc-ieee754.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 7 Jens Petersen 2017-12-21 05:20:20 UTC
Thanks a lot for the review!

https://pagure.io/releng/fedora-scm-requests/issue/3621

Comment 8 Gwyn Ciesla 2017-12-21 12:33:37 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-ieee754. You may commit to the branch "f27" in about 10 minutes.


Note You need to log in before you can comment on or make changes to this bug.